<?xml version="1.0" encoding="UTF-8"?>

<mule xmlns:http="http://www.mulesoft.org/schema/mule/http"
	xmlns:jersey="http://www.mulesoft.org/schema/mule/jersey"
	xmlns="http://www.mulesoft.org/schema/mule/core" xmlns:doc="http://www.mulesoft.org/schema/mule/documentation"
	xmlns:spring="http://www.springframework.org/schema/beans" 
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://www.mulesoft.org/schema/mule/http http://www.mulesoft.org/schema/mule/http/current/mule-http.xsd
http://www.mulesoft.org/schema/mule/jersey http://www.mulesoft.org/schema/mule/jersey/current/mule-jersey.xsd
http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-current.xsd
http://www.mulesoft.org/schema/mule/core http://www.mulesoft.org/schema/mule/core/current/mule.xsd">
	<http:listener-config name="HTTP_Listener_Configuration" host="0.0.0.0" port="${http.port}" doc:name="HTTP Listener Configuration"/>

  <flow name="HelloWorld">
     <http:listener config-ref="HTTP_Listener_Configuration" path="/test/*" doc:name="HTTP"/>
     <jersey:resources doc:name="REST">
         <component class="com.pwc.jersey.service.HelloWorldResource"/>
     </jersey:resources>
  </flow>
  
  <flow name="JerseyJsonMock">
     <http:listener config-ref="HTTP_Listener_Configuration" path="/mmfg/*" doc:name="HTTP"/>
     <jersey:resources doc:name="REST">
         <component class="com.pwc.jersey.service.VenditeResource"/>
     </jersey:resources>
  </flow>

</mule>
